Bug 88958 - devel/monodoc: Crash on startup
Summary: devel/monodoc: Crash on startup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tom McLaughlin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-13 23:00 UTC by Tom McLaughlin
Modified: 2006-01-17 08:46 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom McLaughlin freebsd_committer 2005-11-13 23:00:25 UTC

kwm reported on IRC that monodoc is crashing on startup for him with the 
following error output in the shell.  Can't recreate here though.

Mono-INFO: DllImport attempting to load: 'libgtk-x11-2.0.so'.
Mono-INFO: DllImport loading location: 'libgtk-x11-2.0.so'.
Mono-INFO: Searching for 'gtk_notebook_set_current_page'.
Mono-INFO: Probing 'gtk_notebook_set_current_page'.
Mono-INFO: Found as 'gtk_notebook_set_current_page'.

Unhandled Exception: System.NullReferenceException: A null value was found where an object instance was required.
in <0x00000> <unknown method>
in (wrapper managed-to-native) Gtk.Notebook:gtk_notebook_set_current_page (intptr,int)
in <0x0001a> Gtk.Notebook:set_CurrentPage (Int32 value)
in <0x000a1> Monodoc.Browser:AddTab ()
in <0x0091e> Monodoc.Browser:.ctor (Boolean UseGecko)
in <0x002cd> Monodoc.Driver:Main (System.String[] args)
kwm@heater:~>
Comment 1 Edwin Groothuis freebsd_committer 2005-11-13 23:03:29 UTC
Maintainer of devel/monodoc,

Please note that PR ports/88958 just has been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/88958

-- 
Edwin Groothuis
edwin@FreeBSD.org
Comment 2 Marcus Alves Grando freebsd_committer 2005-11-14 00:17:48 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 3 Tom McLaughlin freebsd_committer 2005-11-14 00:59:21 UTC
State Changed
From-To: feedback->open

Grab my PR and set back to open. 


Comment 4 Tom McLaughlin freebsd_committer 2005-11-14 00:59:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tmclaugh

Grab my PR and set back to open.
Comment 5 Tom McLaughlin freebsd_committer 2006-01-17 08:41:54 UTC
State Changed
From-To: open->closed

Patch committed to devel/mono-tools to disable gecko rendering.